# Changelog

_Last Modified on __2021-12-17___

## 2.3.2 - release 2021-12-17

### Bugfixes

- fixed endless playback state toggling in standby mode with FireTV Stick4K

## 2.3.1 - released 2021-09-08

### Bugfixes

- AudioFocus handling on Phones and Tablets only (deactivated on Android TV devices)
- Zero Volume crash on Android API 24 devices
- deactivate ClickThrough when no web browser is installed on the current device
- do not overwrite Environment variables when provided with load ad call
- internal changes in thread management
- Do not crash on OMID-SDK exceptions

## 2.3 - released 2021-03-10
### New Features
- Smartclientcore 5.1.4
- Closed caption support
### Bugfixes
- Default visibility threshold on Outstream set to 50%
- Progressbar behaviour
- Memory leaks
- Force play for separation clips
- Outstream video resume after scroll out and return from landing page
- Support Android API-Level 19 (Android 4.4 / KitKat)
- Issues with Vertical/Square ads (rendering and tracking)
- CORS Exceptions
- Sequencer CheckJob not to resume on finished sequence
- Handling of invalid ad tags and invalid separation clip URL
### Other
- Improved error handling
- Improved ad timeout handling

## 2.2.8 - released 2020-12-15
### Other
- Correct setting of User Agent

## 2.2.7 - released 2020-11-16
### Bugfix
- Updated handling of Instream SxAdOverlay-logic

## 2.2.6 - released 2020-11-11
### Other
- Update version information

## 2.2.3 - released 2020-08-28
### Bugfixes
- Corrected usage of SxConfiguration and extended documentation on Outstream-Config

## 2.2.2 - released 2020-06-08
### Bugfixes
- Fix skip button position

## 2.2.1 - released 2020-05-26
### Other
- Update to Koin 2.1.5
